<div class="insert-point {{if this.isOver "is-active"}}" style={{this.insertPointStyle}}>
  <div class="inner-content"></div>
</div>

<div
  class="dragSortItem
    {{if this.isActive 'is-active'}}
    {{if this.isDraggingOver '-isDraggingOver'}}
    {{if this.shouldShowPlaceholderBefore2 '-placeholderBefore'}}
    {{if this.shouldShowPlaceholderAfter2 '-placeholderAfter'}}
    {{if this.isTarget '-isTarget' '-isTargetNOT'}}
    {{if this.index 'index'}}
    {{if this.targetIndex 'targetIndex'}}
    "
  draggable={{this.draggable}}

  {{did-insert this.setup}}

  {{on 'dragstart' this.dragStart}}
  {{on 'dragover' this.dragOver}}
  {{on 'dragend' this.dragEnd}}
  {{on 'drop' this.drop}}
>
  {{yield}}
</div>